Payments & Fund TransfersPayments

Get a Payment

GET
/v1/payments/{id}

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Response Body

*/*

curl -X GET "https://example.com/v1/payments/string"
{  "actualPaymentDate": "string",  "amount": 0,  "bankChargeAmount": 0,  "bankChargeBearer": "string",  "bankChargeCurrency": "string",  "bankReference": "string",  "bankReferences": {    "property1": "string",    "property2": "string"  },  "batchId": "string",  "createdAt": "string",  "currency": "string",  "currencyExchange": {    "fxContractId": "string"  },  "customerReference": "string",  "id": "string",  "instructionForSenderBank": "string",  "paymentAdviceEmails": [    "string"  ],  "paymentDate": "string",  "paymentDetails": "string",  "purposeOfPayment": "string",  "receiver": {    "address": {      "city": "string",      "country": "string",      "line1": "string",      "line2": "string",      "postalCode": "string",      "state": "string"    },    "bank": "string",    "bankAccountNumber": "string",    "intermediaryBank": "string",    "localRoutingIdentifier": "string",    "name": "string",    "proxyType": "string",    "proxyValue": "string"  },  "resultCode": "string",  "review": {    "approvedAt": "string",    "approvedBy": "string",    "expiresAt": "string",    "rejectedAt": "string",    "rejectedBy": "string",    "rejectionReason": "string",    "requestedBy": "string"  },  "senderAccountCurrency": "string",  "senderAccountId": "string",  "status": "string",  "type": "string",  "underlyingErrorMessage": "string",  "updatedAt": "string"}